Package org.apache.jmeter.report.core

# Class TimeHelper

java.lang.Object
org.apache.jmeter.report.core.TimeHelper

public class TimeHelper extends Object
The class TimeHelper provides helper functions to ease time displaying.

Since:
  3.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TimeHelper()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `formatTimeStamp(long timeStamp)`
  Format the specified time stamp to string using JMeter properties.
  `static String`
  `formatTimeStamp(long timeStamp, String format)`
  Format the specified time stamp to string using the format.
  `static String`
  `time(long t)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TimeHelper

    public TimeHelper()

- ## Method Details

  - ### time

    public static String time(long t)

  - ### formatTimeStamp

    public static String formatTimeStamp(long timeStamp)
    Format the specified time stamp to string using JMeter properties.
    Parameters:
      `timeStamp` - the time stamp
    Returns:
      the string

  - ### formatTimeStamp

    public static String formatTimeStamp(long timeStamp, String format)
    Format the specified time stamp to string using the format.
    Parameters:
      `timeStamp` - the time stamp
      `format` - the format
    Returns:
      the string